package cern;

import java.util.ArrayList;
import java.util.List;

public class OpenDaysTickets implements Subject  {

	private List<Observer> observers;
	private int cmsTickets;
	private int atlasTickets;
	private int spsTickets;
	
	public OpenDaysTickets() {
		observers = new ArrayList<>();
	}
	
	@Override
	public void registerObserver(Observer o) {
		observers.add(o);
	}

	@Override
	public void removeObserver(Observer o) {
		int i = observers.indexOf(o);
		if (i >= 0)
			observers.remove(i);
	}

	@Override
	public void notifyObservers() {
		for(int i = 0; i < observers.size(); i++) {
			Observer observer = (Observer) observers.get(i);
			observer.update(cmsTickets, atlasTickets, spsTickets);
		}
		
	}
	
	public void setAvailableTickets(int cmsTickets, int atlasTickets, int spsTickets) {
		this.cmsTickets = cmsTickets;
		this.atlasTickets = atlasTickets;
		this.spsTickets = spsTickets;
		notifyObservers();
	}

}
