package javacern;

import java.util.Observable;
import java.util.Observer;

import cern.DisplayElement;

public class CERNEnthusiast implements Observer, DisplayElement {
	
	private int cmsTickets;
	private int atlasTickets;
	private int spsTickets;
	Observable observable;
	
	public CERNEnthusiast(Observable observable) {
		this.observable = observable;
		observable.addObserver(this);
	}

	@Override
	public void display() {
		System.out.println("Wake up! CERN is making available:");
		System.out.println(cmsTickets  + " CMS Tickets!");
		System.out.println(atlasTickets + " ATLAS Tickets!");
		System.out.println(spsTickets + " SPS Tickets!");
	}

	@Override
	public void update(Observable obs, Object o) {
		if (obs instanceof OpenDaysTickets) {
			OpenDaysTickets openDays = (OpenDaysTickets)obs;
			this.cmsTickets = openDays.getCMSTickets();
			this.atlasTickets = openDays.getATLASTickets();
			this.spsTickets = openDays.getSPSTickets();
			display();
		}
		
	}

}
