package javacern;

import java.util.Observable;
import java.util.Observer;

public class OpenDaysTickets extends Observable  {

	private int cmsTickets;
	private int atlasTickets;
	private int spsTickets;
	
	public OpenDaysTickets() {

	}
	
	public void ticketsAdded() {
		setChanged();
		notifyObservers(); // We are not passing anything. Observers need to pull the data.
	}
	
	// Need getters to support the pull operation
	
	public int getCMSTickets() {
		return cmsTickets;
	}
	
	public int getATLASTickets() {
		return atlasTickets;
	}
	
	public int getSPSTickets() {
		return spsTickets;
	}
	

	public void setAvailableTickets(int cmsTickets, int atlasTickets, int spsTickets) {
		this.cmsTickets = cmsTickets;
		this.atlasTickets = atlasTickets;
		this.spsTickets = spsTickets;
		ticketsAdded();
	}

}
